Postprocessing of circos pictures
---------------------------------
It is possible to improve readability of the diagrams by reordering sequences
to minimize interconnections, see "sortsequences.py" section.

If you analyze unfinished assemblies, you could assess the detailed picture
of rearrangements by filtering out perfectly mapped contigs.

Scripts are put in the folder <INSTALL_PREFIX/share/utils> on "Linux" and
<INSTALL_DIR/utils> utils on "Windows". Scripts are supposet to be run under
Python 2.

sortsequences.py
----------------
This script performs sorting of sequences to minimize links crossing on circos
pictures. In order to use it, you must install the "circos helper tools":

	http://circos.ca/documentation/tutorials/utilities

You must specify path to the folder, generated by "Sibelia" and path to the
"orderchr" script from the "helper tools". Please specify the full path,
including the script itself. After it's running it generates a config where
chromosomes are ordered. By default the config is written in:
	
	<Sibelia generated files>/circos/sorted.circos.conf

If you want to generate the picture with ordered chromosomes, you should run
circos with "--conf" option set. Please note tha for large amount of sequences
sorting could run very long. In such a case try you may try to increase minimum
block threshold to decrease number of blocks and interconnections.

hidemappedcontigs.py
--------------------
This script generates "circos" configuration files for pictures showing only
imperfectly mapped contigs when comparing assemblies. It also takes a path
to "Sibelia" output and a path to FASTA file with reference. After run, the
"circos" folder will contain config "unmapped.circos.conf" which generates
pictures containing only rearranged contigs. Also for each such sequence a
config "seq<N>.circos.conf" is written in the same directory.

